.ap-ds-cslider {
	position: relative;
	display: flex;
	align-items: stretch;
	gap: 16px;
	margin: 0 -48px 20px;
}

.ap-ds-cslider__swiper {
	overflow: hidden;
	flex: 1 1 auto;
}

.ap-ds-cslider__wrapper {
	display: flex;
}

.ap-ds-cslider .ap-ds-cslider__slide,
.ap-ds-cslider .swiper-slide.ap-ds-cslider__slide {
	width: 168px;
	flex-shrink: 0;
}

.ap-ds-cslider__card {
	position: relative;
	width: 100%;
	color: #000000;
	cursor: pointer;
	overflow: hidden;
	text-decoration: none;
	padding-bottom: 100%;
}

.ap-ds-cslider__card-inner {
	display: flex;
	background: #cccccc;
	flex-direction: column;
	justify-content: flex-end;
	padding: 28px 10px 10px;
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	width: 100%;
	height: calc(100% - 28px);
	transition: background .15s, color .15s;
}


.ap-ds-cslider__card-inner:after {
	content: '';
	display: block;
	position: absolute;
	z-index: 0;
	right: 0;
	top: 0;
	width: 100%;
	height: calc(100% - 28px);
	background: linear-gradient(to top right, rgba(0, 0, 0, 0) 65%, rgba(0, 0, 0, .1) 76%, rgba(0, 0, 0, .5));
	transition: opacity .15s;
}

.ap-ds-cslider__card:hover .ap-ds-cslider__card-inner {
	/*background: #d9d9d9;*/
	background: #e6e6e6;
}

.ap-ds-cslider__card_active .ap-ds-cslider__card-inner {
	background: #e2001a;
	color: #fff;
}

.ap-ds-cslider__card_active .ap-ds-cslider__card-inner:after {
	opacity: 0;
}

.ap-ds-cslider__card_active .ap-ds-cslider__badge {
	color: #fff;
}

.ap-ds-cslider__card_active:hover .ap-ds-cslider__card-inner {
	background: #c40017;
}

.ap-ds-cslider__card_has-bg {
	color: #fff;
}

.ap-ds-cslider__card_has-bg .ap-ds-cslider__rules,
.ap-ds-cslider__card_has-bg .ap-ds-cslider__badge {
	color: #fff;
}

.ap-ds-cslider__bg {
	position: absolute;
	inset: 0;
	z-index: 0;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
}

.ap-ds-cslider__bg::after {
	content: "";
	position: absolute;
	inset: 0;
	background: rgba(0, 0, 0, .4);
	transition: background .15s;
}

.ap-ds-cslider__card_has-bg:hover .ap-ds-cslider__bg::after {
	background: rgba(0, 0, 0, .5);
}

.ap-ds-cslider__card_active.ap-ds-cslider__card_has-bg .ap-ds-cslider__bg::after {
	background: rgba(226, 0, 26, .62);
}

.ap-ds-cslider__card_has-bg .ap-ds-cslider__name {
	position: relative;
	z-index: 1;
}

.ap-ds-cslider__badge {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
	padding: 6px 8px;
	font-size: 12px;
	/*text-transform: uppercase;*/
	/*background: #1a1a1a;*/
	color: #666666;
	transition: color .15s;
}

.ap-ds-cslider__rules {
	position: absolute;
	top: 0;
	right: 0;
	z-index: 2;
	padding: 8px;
	font-size: 10px;
	font-weight: 600;
	text-transform: uppercase;
	/*background: #e2001a;*/
	color: #fff;
	text-decoration: underline rgba(255, 255, 255, .4) !important;
	transition: text-decoration .15s, color .15s;
}

.ap-ds-cslider__rules:hover {
	/*background: #c40017;*/
	color: #fff;
	text-decoration: underline rgba(255, 255, 255, 0) !important;
}

.ap-ds-cslider__name {
	font-size: 12px;
	font-weight: 600;
	line-height: 1.3;
	display: -webkit-box;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.ap-ds-cslider__deadline {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	height: 28px;
	padding: 8px;
	margin-top: auto;
	font-size: 10px;
	opacity: 0;
	text-align: right;
	background-color: #000;
	color: #ffffff;
	white-space: nowrap;
	position: absolute;
	z-index: 1;
	left: 0;
	bottom: 0;
	right: 0;
	transition: opacity .15s;
}

.ap-ds-cslider__card_active .ap-ds-cslider__deadline {
	opacity: 1;
}

.ap-ds-cslider__card_premium .ap-ds-cslider__card-inner {
	background: #1a1a1a;
	color: #fff;
	/*align-items: center;*/
	/*justify-content: center;*/
	/*gap: 6px;*/
}

.ap-ds-cslider__premium-img {
	width: 44px;
	height: 44px;
	object-fit: contain;
}

.ap-ds-cslider__premium-title {
	font-size: 12px;
	font-weight: 600;
	line-height: 1.3;
}

.ap-ds-cslider__card_premium.ap-ds-cslider__card_active .ap-ds-cslider__card-inner {
	background: #e2001a;
}

.ap-ds-cslider__card_premium:hover .ap-ds-cslider__card-inner {
	background: #333;
}

.ap-ds-cslider__card_premium.ap-ds-cslider__card_active:hover .ap-ds-cslider__card-inner {
	background: #c40017;
}

.ap-ds-cslider__card_premium .ap-ds-cslider__premium-title,
.ap-ds-cslider__card_premium .ap-ds-cslider__premium-img {
	position: relative;
	z-index: 1;
}

.ap-ds-cslider__arrow {
	flex: 0 0 auto;
	width: 32px;
	border: none;
	background: none;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 28px;
}

.ap-ds-cslider__arrow span {
	display: block;
	width: 32px;
	height: 32px;
	border-radius: 50%;
	overflow: hidden;
	border: 1px solid #808080;
	position: relative;
	transition: border-color .24s
}

.ap-ds-cslider__arrow svg {
	display: block;
	width: 12px;
	height: 18px;
	fill: #808080;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	transition: fill .24s
}

.ap-ds-cslider__arrow:hover svg {
	fill: #1a1a1a;
}

.ap-ds-cslider__arrow:hover span {
	border-color: #1a1a1a;
}

.ap-ds-cslider__arrow.swiper-button-disabled {
	opacity: .3;
	cursor: default;
}

.ap-ds-works-slider-caption {
	font-size: 12px;
	color: #808080;
}

@media (min-width: 768px) {

	.ap-page-ds-works .ap-ds-caption-row {
		min-height: 40px;
		margin-bottom: 24px;
	}

}

@media (max-width: 1279px) {

	.ap-ds-cslider {
		margin: 0 0 20px;
	}

}

@media (max-width: 767px) {

	.ap-ds-cslider {
		display: block;
		margin-left: -20px;
		margin-right: -20px;
	}

	.ap-ds-cslider__slide {
		width: 148px;
	}

	.ap-ds-cslider__slide:first-child {
		margin-left: 20px;
	}

	.ap-ds-cslider__slide:first-child {
		margin-right: 20px;
	}

	.ap-ds-cslider__arrow {
		display: none;
	}

}

@media (max-width: 359px) {

	.ap-ds-cslider {
		margin-left: -15px;
		margin-right: -15px;
	}

	.ap-ds-cslider__slide:first-child {
		margin-left: 15px;
	}

	.ap-ds-cslider__slide:first-child {
		margin-right: 15px;
	}

}